# $Revision: 1.73 $, $Date: 2011/11/28 09:26:34 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Storable
%define		pnam	Storable
Summary:	Storable - persistency for Perl data structures
Summary(pl.UTF-8):	Storable - przechowywanie struktur danych Perla
Name:		perl-Storable
# 2.13 in perl-modules 5.8.7
# 2.15 in perl-modules 5.8.8
# 2.18 in perl-modules 5.10.0
# 2.22 in perl-modules 5.12.0
Version:	2.30
Release:	1
# same as perl 5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Storable/AMS/%{pnam}-%{version}.tar.gz
# Source0-md5:	3fb1587d89d1238d4b26f09d3864b9a1
URL:		http://search.cpan.org/dist/Storable/
BuildRequires:	perl-Test-Simple >= 0.41
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# remove the line below if you *really* have newer version than one
# available in perl-modules
#BuildRequires:	this-must-be-newer-version-than-in-perl-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Storable - persistency for Perl data structures.

%description -l pl.UTF-8
Storable - moduł umożliwiający przechowywanie struktur danych Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Storable.pm
%dir %{perl_vendorarch}/auto/Storable
%{perl_vendorarch}/auto/Storable/Storable.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Storable/Storable.so
%{_mandir}/man3/Storable.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Storable.spec,v $
Revision 1.73  2011/11/28 09:26:34  arekm
- up to 2.30

Revision 1.72  2011/02/21 18:35:45  qboosh
- updated to 2.25

Revision 1.71  2010/11/12 23:38:12  pawelz
- release 4

Revision 1.70  2010/06/06 08:42:07  arekm
- release 3

Revision 1.69  2009/11/12 20:15:03  amateja
- release 2

Revision 1.68  2009/11/12 20:04:03  amateja
- removed making man file from .pm file, needless and erroneous

Revision 1.67  2009/09/14 19:51:02  arekm
- up to 2.21

Revision 1.66  2009/03/13 21:39:14  hawk
- release 3

Revision 1.65  2008/03/06 01:22:32  wolvverine
- rel.2

Revision 1.64  2008-02-24 23:59:33  glen
- update to 2.18

Revision 1.63  2008-02-23 21:47:39  glen
- release 3

Revision 1.62  2008-02-10 12:19:21  arekm
- rel 2

Revision 1.61  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.60  2007-06-01 22:03:35  qboosh
- generic URL

Revision 1.59  2007/06/01 21:57:19  agaran
- up to 2.16, rel 1, builds here

Revision 1.58  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.57  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.56  2005/07/23 23:32:23  radek
- version 2.15

Revision 1.55  2004/11/03 22:30:45  paladine
- formatting

Revision 1.54  2004/08/26 16:43:00  radek
- uncommented the bogus BR

Revision 1.53  2004/08/08 19:41:17  adamg
- updated to 2.13

Revision 1.52  2004/06/02 16:47:04  ankry
- added bogus BR

Revision 1.51  2004/06/02 16:43:49  ankry
- readded

Revision 1.49  2004/05/06 18:01:31  ankry
- fixed perl-devel BR

Revision 1.48  2004/05/02 05:34:24  ankry
- license fix, cosmetics

Revision 1.47  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.46  2004/03/28 11:47:55  adamg
- updated to 2.12

Revision 1.45  2004/03/06 21:47:25  adamg
- updated to 2.10

Revision 1.44  2004/01/13 12:37:15  trojan
- updated 2.09

Revision 1.43  2003/09/18 13:21:17  adamg
- updated to 2.08

Revision 1.42  2003/09/09 10:24:48  ankry
- spaces -> tab

Revision 1.41  2003/08/18 08:09:14  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.40  2003/06/11 23:13:41  adamg
- updated to 2.07

Revision 1.39  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.38  2003/05/25 06:24:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.37  2003/03/01 20:46:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.36  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.35  2003/02/18 15:38:22  ankry
- massive attack: change CPAN URLs

Revision 1.34  2002/11/26 10:04:36  mis
- autoupdated to 2.06

Revision 1.33  2002/10/28 15:48:27  ankry
- version 2.05, added tests

Revision 1.32  2002/07/20 15:06:21  qboosh
- updated to 2.04 (bugfix)
- removed .packlist, added man page fixed permissions, BR: perl-Test-Simple

Revision 1.31  2002/07/16 11:35:41  ankry
- translations, cleaning
- release 2

Revision 1.30  2002/07/11 22:20:11  qboosh
- new %%doc and cosmetics

Revision 1.29  2002/07/11 08:04:03  depesz
- new version; should work; STBR

Revision 1.28  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.27  2002/03/03 22:04:41  marcus
- rel.2.

Revision 1.26  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/09 10:56:41  kloczek
- updated to 1.0.14.

Revision 1.24  2002/01/18 02:14:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/09/08 07:39:47  kloczek
- updated to 1.0.13.

Revision 1.22  2001/07/06 14:13:56  kloczek
- updated to 1.0.12.

Revision 1.21  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.20  2001/04/17 12:15:46  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.19  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.18  2001/03/15 10:39:11  mis
- updated (by autoup) to 1.0.11

Revision 1.17  2001/02/20 15:59:52  mis
- updated (by autoup) to 1.0.10

Revision 1.16  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.15  2001/01/23 20:51:18  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.14  2001/01/22 18:41:56  baggins
- updated to 1.0.7

Revision 1.13  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.12  2000/12/09 15:10:33  depesz
- perl 5.6 is not *required* to build perl-Storable!!!

Revision 1.11  2000/12/04 12:40:24  kloczek
- rebuild against perl 5.6,
- use new rpm automation.

Revision 1.10  2000/12/03 15:31:50  depesz
- added patch to fix man problem

Revision 1.9  2000/12/03 14:58:11  depesz
updated to version 1.0.6

Revision 1.8  2000/09/05 00:53:58  kloczek
- updated to 0.7.4.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 07:00:09  kloczek
- updated to 0.6.9.

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/02 22:14:02  pius
- fixed Source url

Revision 1.1  1999/11/02 22:09:55  pius
- initial release
